toolzerhub API Docs

Get website analytics

Returns one domain's public monthly traffic, engagement, ranks, sources, geography, audience, competitors, search, referral and technology signals. Requires domain. data is null when Similarweb has no public page for it.

1 credit / requestBilled only on success
GET
/v1/similarweb/website

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

domain*string

The website hostname. A full URL is accepted and reduced to its hostname.

Length3 <= length <= 500
curl -X GET "https://example.com/v1/similarweb/website?domain=openai.com" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "domain": "string",    "url": "http://example.com",    "snapshot_date": "2026-07-01T00:00:00+00:00",    "category_id": "string",    "icon_url": "string",    "preview_desktop_url": "string",    "preview_mobile_url": "string",    "description": "string",    "company": {      "name": "string",      "year_founded": 0,      "headquarters_country_code": "string",      "headquarters_state_code": "string",      "headquarters_city": "string",      "employees_min": 0,      "employees_max": 0,      "revenue_min": 0,      "revenue_max": 0,      "revenue_currency": "string",      "parent_domain": "string"    },    "engagement": {      "visits": 197235347,      "visits_change": 0,      "bounce_rate": 0,      "pages_per_visit": 0,      "average_visit_duration": "string",      "history": [        {          "date": "string",          "value": 0        }      ]    },    "rankings": {      "global": {        "rank": 0,        "previous_rank": 0,        "change": 0      },      "country": {        "rank": 0,        "previous_rank": 0,        "change": 0,        "country_code": "string",        "country_slug": "string"      },      "category": {        "rank": 0,        "previous_rank": 0,        "change": 0      },      "global_history": [        {          "date": "string",          "rank": 0        }      ],      "country_history": [        {          "date": "string",          "rank": 0        }      ],      "category_history": [        {          "date": "string",          "rank": 0        }      ]    },    "top_countries": [      {        "country_code": "string",        "country_slug": "string",        "visits_share": 0,        "visits_share_change": 0      }    ],    "traffic_sources": [      {        "source": "string",        "rank": 0,        "percentage": 0      }    ],    "competitors": [      {        "domain": "string",        "icon_url": "string",        "category_id": "string",        "category_rank": 0,        "affinity": 0      }    ],    "demographics": {      "male_share": 0,      "female_share": 0,      "age_distribution": [        {          "min_age": 0,          "max_age": 0,          "share": 0        }      ]    },    "search": {      "organic_share": 0,      "paid_share": 0,      "keyword_count": 0,      "top_keywords": [        {          "name": "string",          "cpc": 0,          "volume": 0        }      ]    },    "social": {      "network_count": 0,      "networks": [        {          "name": "string",          "visits_share": 0,          "icon_url": "string"        }      ]    },    "referrals": {      "incoming": {        "total_sites": 0,        "sites": [          {            "domain": "string",            "icon_url": "string",            "visits_share": 0,            "locked": true          }        ],        "categories": [          {            "category": "string",            "visits_share": 0          }        ]      },      "outgoing": {        "total_sites": 0,        "sites": [          {            "domain": "string",            "icon_url": "string",            "visits_share": 0,            "locked": true          }        ],        "categories": [          {            "category": "string",            "visits_share": 0          }        ]      }    },    "technologies": {      "technology_count": 0,      "category_count": 0,      "categories": [        {          "category_id": "string",          "top_technology": "string",          "top_technology_icon_url": "string",          "technology_count": 0        }      ]    },    "audience_interests": {      "websites": [        "string"      ],      "topics": [        "string"      ],      "categories": [        "string"      ]    }  }}